package com.sunxung.factoring.entity.supplier;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * <p>
 * 重大负面新闻舆情
 * </p>
 *
 * @author liutao
 * @since 2023-12-05
 */
@TableName("news")
public class News {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * c端 供应商企业信息id
     */
    @TableField("c_supplier_info_id")
    private Long cSupplierInfoId;

    /**
     * c端 企业信息id
     */
    @TableField("c_enterprise_id")
    private Long cEnterpriseId;

    /**
     * sop端 新闻舆情id
     */
    @TableField("c_News_id")
    private Long cNewsId;

    /**
     * 新闻标题
     */
    @TableField("title")
    private String title;

    /**
     * 发布时间
     */
    @TableField("publish_time")
    private String publishTime;

    /**
     * 重大负面新闻舆情 0 否 1 是
     */
    @JsonProperty("News")
    @JSONField(name = "News")
    private Integer News;

    /**
     * 视频尽调-重大负面新闻舆情 0 否 1 是
     */
    @TableField("video_due_diligence_News")
    private Integer videoDueDiligenceNews;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getcSupplierInfoId() {
        return cSupplierInfoId;
    }

    public void setcSupplierInfoId(Long cSupplierInfoId) {
        this.cSupplierInfoId = cSupplierInfoId;
    }
    public Long getcEnterpriseId() {
        return cEnterpriseId;
    }

    public void setcEnterpriseId(Long cEnterpriseId) {
        this.cEnterpriseId = cEnterpriseId;
    }
    public Long getcNewsId() {
        return cNewsId;
    }

    public void setcNewsId(Long cNewsId) {
        this.cNewsId = cNewsId;
    }
    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }
    public String getPublishTime() {
        return publishTime;
    }

    public void setPublishTime(String publishTime) {
        this.publishTime = publishTime;
    }
    public Integer getNews() {
        return News;
    }

    public void setNews(Integer News) {
        this.News = News;
    }
    public Integer getVideoDueDiligenceNews() {
        return videoDueDiligenceNews;
    }

    public void setVideoDueDiligenceNews(Integer videoDueDiligenceNews) {
        this.videoDueDiligenceNews = videoDueDiligenceNews;
    }

    @Override
    public String toString() {
        return "News{" +
            "cSupplierInfoId=" + cSupplierInfoId +
            ", cEnterpriseId=" + cEnterpriseId +
            ", cNewsId=" + cNewsId +
            ", title=" + title +
            ", publishTime=" + publishTime +
            ", News=" + News +
            ", videoDueDiligenceNews=" + videoDueDiligenceNews +
        "}";
    }
}
